<?php

namespace App\Console\Commands;

use App\Http\Controllers\Controller;
use App\OracleDOCOrderHeader;
use Carbon\Carbon;
use Illuminate\Console\Command;

class FluxOrderFix extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'FluxOrderFix';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'FluxOrderFix';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->fixEdisendflagAtWrong();
    }

    public function fixEdisendflagAtWrong(){
        OracleDOCOrderHeader::where('edisendflag','W')
            ->whereNull('EDI_RESENDTIME')
            ->where('edisendtime','>',Carbon::now()->subDays(2))
            ->where('ediremarks2','<>','不支持的单据类型')
        ->update(['edisendflag'=>'N','manualflag'=>'N','EDI_RESENDTIME'=>Carbon::now()]);

        OracleDOCOrderHeader::where('edisendflag','W')
            ->where('EDI_RESENDTIME','>',Carbon::now()->subDays(2))
            ->where('edisendtime','>',Carbon::now()->subDays(2))
            ->where('ediremarks2','<>','不支持的单据类型')
        ->update(['edisendflag'=>'N','manualflag'=>'N']);
    }
}
